Create Lease: Buildium
https://api.propexo.com/v1/leases/buildium/| Interface | Method |
|---|---|
| Leases | POST /leases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The type associated with the lease
Show 3 enum values
FixedFixedWithRolloverAtWillThe Propexo unique identifier for the unit
The start date associated with the lease
The first name associated with the resident
The last name associated with the resident
The first address line associated with the resident
Possible values: <= 100 characters
The city associated with the resident
Possible values: <= 100 characters
The state associated with the resident
The zip code associated with the resident
The country associated with the resident
Show 1 enum value
USThe Propexo unique identifier for the financial account
The end date associated with the lease
Whether to send a welcome email to the tenant
falseThe primary email address associated with the resident
The secondary email address associated with the resident
Primary phone number associated with the resident
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the resident
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXThe date of birth associated with the resident
Show 2 variants
The second address line associated with the resident
Possible values: <= 100 characters
The first alternate address line associated with the resident
Possible values: <= 100 characters
The second alternate address line associated with the resident
Possible values: <= 100 characters
The alternate city associated with the resident
Possible values: <= 100 characters
The alternate state associated with the resident
The alternate zip code associated with the resident
The alternate country associated with the resident
Show 1 enum value
USThe duration in which rent charges will be automatically appended to the lease ledger
Show 9 enum values
MonthlyWeeklyEvery2WeeksQuarterlyYearlyEvery2MonthsDailyEvery6MonthsOneTimeThe rent amount in cents for the lease
The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The type associated with the lease
Show 3 enum values
FixedFixedWithRolloverAtWillThe Propexo unique identifier for the unit
The start date associated with the lease
The first name associated with the resident
The last name associated with the resident
The first address line associated with the resident
Possible values: <= 100 characters
The city associated with the resident
Possible values: <= 100 characters
The state associated with the resident
The zip code associated with the resident
The country associated with the resident
Show 1 enum value
USThe Propexo unique identifier for the financial account
The end date associated with the lease
falseThe primary email address associated with the resident
The secondary email address associated with the resident
Primary phone number associated with the resident
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the resident
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXThe date of birth associated with the resident
Show 2 variants
The second address line associated with the resident
Possible values: <= 100 characters
The first alternate address line associated with the resident
Possible values: <= 100 characters
The second alternate address line associated with the resident
Possible values: <= 100 characters
The alternate city associated with the resident
Possible values: <= 100 characters
The alternate state associated with the resident
The alternate zip code associated with the resident
The alternate country associated with the resident
Show 1 enum value
USThe duration in which rent charges will be automatically appended to the lease ledger
Show 9 enum values
MonthlyWeeklyEvery2WeeksQuarterlyYearlyEvery2MonthsDailyEvery6MonthsOneTimeThe rent amount in cents for the lease
The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leases/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"type": "Fixed",
"unit_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"type": "Fixed",
"unit_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US",
"financial_account_id": "string",
"end_date": "2024-07-29T15:51:28.071Z",
"send_welcome_email": false,
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_2": "string",
"address_1_alternate": "string",
"address_2_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"country_alternate": "US",
"rent_cycle": "Monthly",
"rent_amount_in_cents": 0,
"rent_due_date": "2024-07-29T15:51:28.071Z"
}
}